'Sample source code for transmitting and receiving data with the RTX-12
'data modem.  These examples were written in Power Basic.  Some of the
'commands may not be compatible with your version of basic.
'(C)1995 Tigertronics, Inc.

'------------------------> Sample Transmit Routine <-------------------------

TransmitData:

OPEN "COM2:1200,N,8,1,CD0,CS0,DS0,ME" AS #1
                                        'Open serial port COM2 and configure
                                        'it for 1200 baud, No Parity, 8 Data
                                        'bits and 1 Stop Bit. Ignore the
                                        'status of CD, CTS, and DSR.  Mask
                                        'any port errors with option "ME".
                                        'Transmitter is turned on (keyed)
                                        'when port is opened.

DELAY .5                            	'Wait 500 milliseconds so the
                                       	'transmitter can stabilize.  This
                                       	'also gives the receiving stations
                                       	'squelch time to open.

Print #1, "This is a test ...ryryryryryryryryryryryryry"
                                       	'Transmit test message

DELAY .3                            	'Wait 300 milliseconds.

CLOSE #1	                   	'Close port (stop transmitting).

END



'------------------------> Sample Receive Routine <-------------------------

ReceiveData:

OPEN "COM2:1200,N,8,1,DS0,RS,ME" AS #1  'Open serial port COM2 and configure
                                        'it for 1200 Baud, No Parity, 8 Data
                                        'bits and 1 Stop Bit.  DSR can be used
                                        'to detect a carrier if you are using
                                        'an RTX-12 with the Carrier Detect
                                        'option installed.

WaitData:

X$ = Inkey$

IF X$ = chr$(27) THEN CLOSE #1 : END    'Press ESCAPE to exit rx loop

If LOC(1) THEN ELSE GOTO WaitData	'If there is data in the rx buffer
					'then get it.

ModemIn$ = INPUT$(LOC(1), #1)
                                       	'Get all of the data waiting in the
                                       	'receive buffer.

Print ModemIn$;				'Print received data to screen

Goto WaitData
